; Background color changer 
; Gary Maze, SMC Corporation of America 
; 11/27/02 
;
; tweaked by Paul Sweet 5/13/05

; acadobject is the ActiveX component of the AutoCad instance 
; acadpref is the preferences property of acadobject 
; acaddisp is the display property of acadpref 
; colors are the windows color numbers calculated by the formula
; red + (256 * green) + (65536 * blue) 
; where red, green, and blue can be 0 (off) to 255 (all the way on) 

; LB makes a light background with a dark crosshair 

(defun c:LB () 
(setq acadobject (vlax-get-acad-object)) 
(setq acadpref (vlax-get-property acadobject 'preferences)) 
(setq acaddisp (vlax-get-property acadpref 'display)) 
(vlax-put-property acaddisp 'GraphicsWinmodelBackgrndColor 15659762) ; rgb 242,242,238
(vlax-put-property acaddisp 'ModelCrosshairColor 50) ; ACAD color 12 - rgb 50,50,50 
) 

(defun c:DB () 
(setq acadobject (vlax-get-acad-object)) 
(setq acadpref (vlax-get-property acadobject 'preferences)) 
(setq acaddisp (vlax-get-property acadpref 'display)) 
(vlax-put-property acaddisp 'GraphicsWinmodelBackgrndColor 0) ; rgb 0,0,0
(vlax-put-property acaddisp 'ModelCrosshairColor 15659762) ; ACAD color 12 - rgb 242,242,238 
)